from atomscale import Client
client = Client(api_key="YOUR_API_KEY")
results = client.get(data_ids="d290f1ee-6c54-4b01-90e6-d701748f0851")
optical = results[0] # OpticalResult
print(optical.snapshot_image_data)
import requests
response = requests.get(
"https://api.atomscale.ai/optical/frame/video_single_frames/d290f1ee-6c54-4b01-90e6-d701748f0851",
headers={"X-API-KEY": "YOUR_API_KEY"}
)
frames_data = response.json()
curl "https://api.atomscale.ai/optical/frame/video_single_frames/d290f1ee-6c54-4b01-90e6-d701748f0851" \
-H "X-API-KEY: YOUR_API_KEY"
{
"video_uuid": "d290f1ee-6c54-4b01-90e6-d701748f0851",
"frames": [
{
"image_uuid": "a1b2c3d4-5678-90ab-cdef-1234567890ab",
"processed_file_metadata": {
"file_type": "png",
"width": 1920,
"height": 1080
}
}
]
}
Optical
Get Optical Video Frames
Retrieve individual frames from optical video recordings
GET
/
optical
/
frame
/
video_single_frames
/
{data_id}
from atomscale import Client
client = Client(api_key="YOUR_API_KEY")
results = client.get(data_ids="d290f1ee-6c54-4b01-90e6-d701748f0851")
optical = results[0] # OpticalResult
print(optical.snapshot_image_data)
import requests
response = requests.get(
"https://api.atomscale.ai/optical/frame/video_single_frames/d290f1ee-6c54-4b01-90e6-d701748f0851",
headers={"X-API-KEY": "YOUR_API_KEY"}
)
frames_data = response.json()
curl "https://api.atomscale.ai/optical/frame/video_single_frames/d290f1ee-6c54-4b01-90e6-d701748f0851" \
-H "X-API-KEY: YOUR_API_KEY"
{
"video_uuid": "d290f1ee-6c54-4b01-90e6-d701748f0851",
"frames": [
{
"image_uuid": "a1b2c3d4-5678-90ab-cdef-1234567890ab",
"processed_file_metadata": {
"file_type": "png",
"width": 1920,
"height": 1080
}
}
]
}
Returns saved frames from an optical video recording, including frame image UUIDs and file metadata.
string
required
The data entry UUID for the optical video
Response
string
UUID of the video
array
from atomscale import Client
client = Client(api_key="YOUR_API_KEY")
results = client.get(data_ids="d290f1ee-6c54-4b01-90e6-d701748f0851")
optical = results[0] # OpticalResult
print(optical.snapshot_image_data)
import requests
response = requests.get(
"https://api.atomscale.ai/optical/frame/video_single_frames/d290f1ee-6c54-4b01-90e6-d701748f0851",
headers={"X-API-KEY": "YOUR_API_KEY"}
)
frames_data = response.json()
curl "https://api.atomscale.ai/optical/frame/video_single_frames/d290f1ee-6c54-4b01-90e6-d701748f0851" \
-H "X-API-KEY: YOUR_API_KEY"
{
"video_uuid": "d290f1ee-6c54-4b01-90e6-d701748f0851",
"frames": [
{
"image_uuid": "a1b2c3d4-5678-90ab-cdef-1234567890ab",
"processed_file_metadata": {
"file_type": "png",
"width": 1920,
"height": 1080
}
}
]
}
⌘I